Subject: [dhcwg] Review of draft-ietf-6man-addr-select-opt-01

From: jouni korhonen <[email-masked]>
Date: Thu, 1 Dec 2011 18:29:30 +0200

Hi,

I promised to make a review of this I-D. My comments can be found here:
http://deadcoderssociety.net/6man.pdf

There are two main things:
1) I suggest to remove all text that references into the future regarding ongoing work etc. That will look a bit weird when actual RFCs come out etc.
2) It is not clear what happens when DASP_OPTION is received from multiple sources and in all cases Section 4.2. "trust" requirements are met. Will the last received policy overwrite all previously learned?

Also I did not quite get the "leak of privacy information". Could you elaborate that a bit further in the I-D. And finally, regarding the prefix encoding in the option I would myself prefer 1 octet granularity over 4.. or is there a specific reason for selecting 4? (DHCPv6 options do not have alignment requirements)

- Jouni

On Nov 9, 2011, at 10:21 AM, Arifumi Matsumoto wrote:

> All,
> 
> at Quebec, Tim Chown presented about address selection documents
> discussed in 6man WG, and requested reviewers for the draft
> draft-ietf-6man-addr-select-opt-01.
> slides are http://tools.ietf.org/agenda/81/slides/dhc-13.pdf
> 
> IIRC, one reviewer was chosen at that time, and the other was left
> undecided.
> 
> So, my questions are
> the review was submitted somewhere ?
> the other reviewer was chosen ?
> 
> --
> Arifumi Matsumoto
>  NGN System Architecture Project
>  NTT Service Integration Laboratories
>  E-mail: [email-masked]
>  TEL +81-422-59-3334 FAX +81-422-59-6364
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcwg